com.fasterxml.jackson.databind.ext

## Class CoreXMLSerializers.XMLGregorianCalendarSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<XMLGregorianCalendar>
    - - com.fasterxml.jackson.databind.ext.CoreXMLSerializers.XMLGregorianCalendarSerializer

- All Implemented Interfaces:
    JsonFormatVisitable, SchemaAware, ContextualSerializer, Serializable
  Enclosing class:
    CoreXMLSerializers

      public static class CoreXMLSerializers.XMLGregorianCalendarSerializer
      extends StdSerializer<XMLGregorianCalendar>
      implements ContextualSerializer

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreXMLSerializers.XMLGregorianCalendarSerializer()`
    `protected` | `CoreXMLSerializers.XMLGregorianCalendarSerializer(JsonSerializer<?> del)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Calendar` | `_convert(XMLGregorianCalendar input)`
    `void` | `acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor, JavaType typeHint)` Default implementation specifies no format.
    `JsonSerializer<?>` | `createContextual(SerializerProvider prov, BeanProperty property)` Method called to see if a different (or differently configured) serializer is needed to serialize values of specified property.
    `JsonSerializer<?>` | `getDelegatee()` Accessor that can be used to determine if this serializer uses another serializer for actual serialization, by delegating calls.
    `boolean` | `isEmpty(SerializerProvider provider, XMLGregorianCalendar value)` Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).
    `boolean` | `isEmpty(XMLGregorianCalendar value)` Deprecated.
    `void` | `serialize(XMLGregorianCalendar value, com.fasterxml.jackson.core.JsonGenerator jgen, SerializerProvider provider)` Method that can be called to ask implementation to serialize values of type this serializer handles.
    `void` | `serializeWithType(XMLGregorianCalendar value, com.fasterxml.jackson.core.JsonGenerator gen, SerializerProvider provider, TypeSerializer typeSer)` Method that can be called to ask implementation to serialize values of type this serializer handles, using specified type serializer for embedding necessary type information.

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `createObjectNode, createSchemaNode, createSchemaNode, findConvertingContentSerializer, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `isUnwrappingSerializer, replaceDelegatee, unwrappingSerializer, usesObjectId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoreXMLSerializers.XMLGregorianCalendarSerializer

          public CoreXMLSerializers.XMLGregorianCalendarSerializer()

    - #### CoreXMLSerializers.XMLGregorianCalendarSerializer

          protected CoreXMLSerializers.XMLGregorianCalendarSerializer(JsonSerializer<?> del)

  - ### Method Detail

    - #### getDelegatee

          public JsonSerializer<?> getDelegatee()

      Description copied from class: `JsonSerializer`
      Accessor that can be used to determine if this serializer uses another serializer for actual serialization, by delegating calls. If so, will return immediate delegate (which itself may delegate to further serializers); otherwise will return null.
      Overrides:
        `getDelegatee` in class `JsonSerializer<XMLGregorianCalendar>`
      Returns:
        Serializer this serializer delegates calls to, if null; null otherwise.

    - #### isEmpty

          @Deprecated
          public boolean isEmpty(XMLGregorianCalendar value)

      Deprecated.
      Description copied from class: `JsonSerializer`
      Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).

      Default implementation will consider only null values to be empty.

      Overrides:
        `isEmpty` in class `JsonSerializer<XMLGregorianCalendar>`

    - #### isEmpty

          public boolean isEmpty(SerializerProvider provider,
                        XMLGregorianCalendar value)

      Description copied from class: `JsonSerializer`
      Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).

      Default implementation will consider only null values to be empty.

      NOTE: replaces `JsonSerializer.isEmpty(Object)`, deprecated in 2.5

      Overrides:
        `isEmpty` in class `JsonSerializer<XMLGregorianCalendar>`

    - #### serialize

          public void serialize(XMLGregorianCalendar value,
                       com.fasterxml.jackson.core.JsonGenerator jgen,
                       SerializerProvider provider)
                         throws IOException

      Description copied from class: `JsonSerializer`
      Method that can be called to ask implementation to serialize values of type this serializer handles.
      Specified by:
        `serialize` in class `StdSerializer<XMLGregorianCalendar>`
      Parameters:
        `value` - Value to serialize; can not be null.
        `jgen` - Generator used to output resulting Json content
        `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
      Throws:
        `IOException`

    - #### serializeWithType

          public void serializeWithType(XMLGregorianCalendar value,
                               com.fasterxml.jackson.core.JsonGenerator gen,
                               SerializerProvider provider,
                               TypeSerializer typeSer)
                                 throws IOException

      Description copied from class: `JsonSerializer`
      Method that can be called to ask implementation to serialize values of type this serializer handles, using specified type serializer for embedding necessary type information.

      Default implementation will throw `UnsupportedOperationException` to indicate that proper type handling needs to be implemented.

      For simple datatypes written as a single scalar value (JSON String, Number, Boolean), implementation would look like:

            // note: method to call depends on whether this type is serialized as JSON scalar, object or Array!
            typeSer.writeTypePrefixForScalar(value, gen);
            serialize(value, gen, provider);
            typeSer.writeTypeSuffixForScalar(value, gen);

      and implementations for type serialized as JSON Arrays or Objects would differ slightly, as `START-ARRAY>/`END-ARRAY` and `START-OBJECT>/`END-OBJECT` pairs need to be properly handled with respect to serializing of contents.``
      Overrides:
        `serializeWithType` in class `JsonSerializer<XMLGregorianCalendar>`
      Parameters:
        `value` - Value to serialize; can not be null.
        `gen` - Generator used to output resulting Json content
        `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
        `typeSer` - Type serializer to use for including type information
      Throws:
        `IOException`

    - #### acceptJsonFormatVisitor

          public void acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor,
                                     JavaType typeHint)
                                       throws JsonMappingException

      Description copied from class: `StdSerializer`
      Default implementation specifies no format. This behavior is usually overriden by custom serializers.
      Specified by:
        `acceptJsonFormatVisitor` in interface `JsonFormatVisitable`
      Overrides:
        `acceptJsonFormatVisitor` in class `StdSerializer<XMLGregorianCalendar>`
        `typeHint` - Type of element (entity like property) being visited
      Throws:
        `JsonMappingException`

    - #### createContextual

          public JsonSerializer<?> createContextual(SerializerProvider prov,
                                           BeanProperty property)
                                             throws JsonMappingException

      Description copied from interface: `ContextualSerializer`
      Method called to see if a different (or differently configured) serializer is needed to serialize values of specified property. Note that instance that this method is called on is typically shared one and as a result method should NOT modify this instance but rather construct and return a new instance. This instance should only be returned as-is, in case it is already suitable for use.
      Specified by:
        `createContextual` in interface `ContextualSerializer`
      Parameters:
        `prov` - Serializer provider to use for accessing config, other serializers
        `property` - Method or field that represents the property (and is used to access value to serialize). Should be available; but there may be cases where caller can not provide it and null is passed instead (in which case impls usually pass 'this' serializer as is)
      Returns:
        Serializer to use for serializing values of specified property; may be this instance or a new instance.
      Throws:
        `JsonMappingException`

    - #### _convert

          protected Calendar _convert(XMLGregorianCalendar input)

Copyright © 2014-2015 FasterXML. All Rights Reserved.